/* -*- C++ -*-
 * 
 * Copyright (c) 1999 Joe Yandle <yandle@cs.unc.edu>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef DATABASE_H
#define DATABASE_H

#include "String.h"
#include "ResultSet.h"

class Database
{
 public:
    virtual bool open()=0;
    virtual bool useSeq()=0;
    virtual String escapeArg(String arg)=0;
    virtual ResultSet* executeQuery(String sql)=0;
    virtual void executeUpdate(String sql)=0;
};

#endif
